Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.atomikos.v200510
Class CommitMessageType

    java.lang.Object
      com.atomikos.icatch.jaxb.atomikos.v200510.TransactionMessageType
          com.atomikos.icatch.jaxb.atomikos.v200510.CommitMessageType

    public class CommitMessageType

extends TransactionMessageType

Java class for CommitMessageType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CommitMessageType">
       <complexContent>
         <extension base="{http://www.atomikos.com/schemas/2005/10/transactions}TransactionMessageType">
           <attribute name="onePhase" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </extension>
       </complexContent>
     </complexType>

Field Summary
`protected boolean` | `onePhase`

Fields inherited from class com.atomikos.icatch.jaxb.atomikos.v200510.TransactionMessageType
`sender, target`

Constructor Summary
`CommitMessageType()`

Method Summary
`boolean` | `isOnePhase()` Gets the value of the onePhase property.
`void` | `setOnePhase(boolean value)` Sets the value of the onePhase property.

Methods inherited from class com.atomikos.icatch.jaxb.atomikos.v200510.TransactionMessageType
`getSender, getTarget, setSender, setTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### onePhase

    protected boolean onePhase

Constructor Detail

### CommitMessageType

    public CommitMessageType()

Method Detail

### isOnePhase

    public boolean isOnePhase()

  Gets the value of the onePhase property.

### setOnePhase

    public void setOnePhase(boolean value)

  Sets the value of the onePhase property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.